using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class MouseWait : MonoBehaviour {

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {

        if (Input.GetMouseButtonDown(0))
        {
            //GetComponent<SequenceFlasher>().enabled = true;
            GetComponent<SequenceFlasher>().ResetCrystals();
            GetComponent<StartDelay>().enabled = true;
            GetComponent<OrderRandomized>().RandomizeLen = 1;
            GetComponent<OrderRandomized>().Randomize = true;
            //GetComponent<SequenceChecker>().next_crystal_index = 0;
            GetComponent<SequenceChecker>().Reset();
            GameObject.FindGameObjectWithTag("GameOver").GetComponent<Text>().enabled = false;
            GameObject.FindGameObjectWithTag("LevelTimer").GetComponent<ScoreCounter>().Score = 0;

            this.enabled = false;
        }


	}
}
